package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabMiniprogramSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TabMiniprogramSettingMapper {
    /**
     */
    int deleteByPrimaryKey(String miniprogramSettingId);

    /**
     */
    int insert(TabMiniprogramSetting record);

    /**
     */
    int insertSelective(TabMiniprogramSetting record);

    /**
     */
    TabMiniprogramSetting selectByPrimaryKey(String miniprogramSettingId);

    /**
     */
    int updateByPrimaryKeySelective(TabMiniprogramSetting record);

    /**
     */
    int updateByPrimaryKey(TabMiniprogramSetting record);

    /**
     * 获取minprogramSetting
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @return
     */
    public TabMiniprogramSetting getMiniprogramSetting(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("enterpriseId") String enterpriseId);

    /**
     * 获取minprogramSetting 列表
     *
     * @param wxEnterpriseId
     * @return
     */
    public List<TabMiniprogramSetting> listMiniprogramSetting(@Param("wxEnterpriseId") String wxEnterpriseId);

    /**
     * 获取minprogramSetting
     *
     * @param wxEnterpriseId
     * @param appId
     * @return
     */
    public List<TabMiniprogramSetting> getMiniprogramSettingByAppId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("appId") String appId);
}